# Publish Experience POST /api/v1/experiences/{id}/publish/ Publish a draft experience by creating separate experiences for each selected type. Each published experience is independent and can be managed separately. Only the owner can publish their experience. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/experiences/user-experiences-publish-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/experiences/{id}/publish/: post: operationId: user-experiences-publish-create summary: Publish Experience description: >- Publish a draft experience by creating separate experiences for each selected type. Each published experience is independent and can be managed separately. Only the owner can publish their experience. tags: - subpackage_experiences parameters: - name: id in: path required: true schema: type: integer responses: '200': description: Experience publish completed content: application/json: schema: $ref: '#/components/schemas/PublishResponse' '401': description: Unauthorized content: application/json: schema: description: Any type '403': description: Forbidden - not owner content: application/json: schema: description: Any type '404': description: Experience not found content: application/json: schema: description: Any type components: schemas: PublishResponse: type: object properties: success: type: boolean message: type: string original_experience_id: type: integer published_experiences: type: array items: description: Any type results: type: object additionalProperties: description: Any type required: - success - message title: PublishResponse ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/experiences/1/publish/" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/experiences/1/publish/'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/experiences/1/publish/" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/experiences/1/publish/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/experiences/1/publish/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/experiences/1/publish/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/experiences/1/publish/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/experiences/1/publish/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```